OnlyFans API
OnlyFansChat Messages

Attach Tags (Release Forms) to Message

Attach Tags (Release Forms) to a message that has already been sent. Please note, that this is a "sync" operation - for example, if you provide empty rfTag it will remove all existing tags already attached to the message.

POST
/api/{account}/messages/{queue_id}/attach-tags
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

queue_id*string

The message's queueId (NOT its id). Every message in the List Chat Messages response exposes both an id and a queueId - this endpoint requires the queueId. Must be a message sent by the creator. Passing the message id instead returns a 400 "Entity type is not allowed or not exists" from OnlyFans.

Request Body

application/json

rfTag?string

Array of OnlyFans Creator User IDs to tag in your message

rfPartner?string

Array of OnlyFans Release Form Partners IDs to tag in your message

rfGuest?string

Array of OnlyFans Release Form Guest IDs to tag in your message

Response Body

application/json

curl -X POST "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/messages/40627236721/attach-tags" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "success": true
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 9976,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    },
    "_rate_limits": {
      "limit_minute": 1000,
      "limit_day": 50000,
      "remaining_minute": 999,
      "remaining_day": 49990
    }
  }
}